FLANG

Public Member Functions | List of all members
Fortran::parser::TokenSequence Class Reference

## Public Member Functions
| TokenSequence (const TokenSequence &that)
| TokenSequence (const TokenSequence &that, std::size_t at, std::size_t count=1)
| TokenSequence (TokenSequence &&that)
| TokenSequence (const std::string &s, Provenance p)
TokenSequence & | operator= (const TokenSequence &that)
TokenSequence & | operator= (TokenSequence &&that)
bool | empty () const
void | clear ()
void | pop_back ()
void | shrink_to_fit ()
void | swap (TokenSequence &)
std::size_t | SizeInTokens () const
std::size_t | SizeInChars () const
CharBlock | ToCharBlock () const
std::string | ToString () const
CharBlock | TokenAt (std::size_t token) const
char | CharAt (std::size_t j) const
CharBlock | CurrentOpenToken () const
std::size_t | SkipBlanks (std::size_t) const
void | PutNextTokenChar (char ch, Provenance provenance)
void | CloseToken ()
void | ReopenLastToken ()
void | RemoveLastToken ()
void | Put (const TokenSequence &)
void | Put (const TokenSequence &, ProvenanceRange)
void | Put (const TokenSequence &, std::size_t at, std::size_t tokens=1)
void | Put (const char *, std::size_t, Provenance)
void | Put (const CharBlock &, Provenance)
void | Put (const std::string &, Provenance)
void | Put (llvm::raw_string_ostream &, Provenance)
Provenance | GetTokenProvenance (std::size_t token, std::size_t offset=0) const
ProvenanceRange | GetTokenProvenanceRange (std::size_t token, std::size_t offset=0) const
ProvenanceRange | GetIntervalProvenanceRange (std::size_t token, std::size_t tokens=1) const
ProvenanceRange | GetProvenanceRange () const
char * | GetMutableCharData ()
TokenSequence & | ToLowerCase ()
bool | HasBlanks (std::size_t firstChar=0) const
bool | HasRedundantBlanks (std::size_t firstChar=0) const
TokenSequence & | RemoveBlanks (std::size_t firstChar=0)
TokenSequence & | RemoveRedundantBlanks (std::size_t firstChar=0)
TokenSequence & | ClipComment (bool skipFirst=false)
void | Emit (CookedSource &) const
void | Dump (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- lib/Parser/token-sequence.h
- lib/Parser/token-sequence.cpp